Bug 167305 - rmmod ipw2200; modprobe ipw2200 required
rmmod ipw2200; modprobe ipw2200 required
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 10:34 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.13-1.1532_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 21:30:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2005-09-01 10:34:17 EDT
Description of problem:
The ipw2200 module seems to require a reload for NM to function properly.

Version-Release number of selected component (if applicable):
NetworkManager-0.4-20.FC4.1

How reproducible:
Always on kernels 2.6.11-1.1369_FC4 and 2.6.12-1.1447_FC4.

Steps to Reproduce:
1. Start up computer with NetworkManager set to start at boot.
2. Watch as wireless network scan goes and it finds rh-wireless
3. Observe as NM attempts to connect to rh-wireless but seems to time out on
connection attempt and restarts network scan.
4. # rmmod ipw2200; modprobe ipw2200 and service NetworkManager restart
5. NM scans, finds rh-wireless, and connects very quickly

Actual results:
See steps above

Expected results:
No module unload; reload required.

Additional info:
This is a brand new IBM T42.  lspci says:  Intel Corporation PRO/Wireless 2200BG
(rev 05).  I've tried two different versions of the firmware and the same
behaviour occurs in both cases.  dmesg has a entries about WEP decryption
failing.  Sorry if this is a NM bug.
Comment 1 Dave Jones 2005-11-10 17:01:29 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 2 Andrew Overholt 2005-11-10 21:30:17 EST
This no longer appears to be necessary (as of 2.6.13-1.1532_FC4, actually).

Note You need to log in before you can comment on or make changes to this bug.